<?php
/**
*
* LF who was here 2 - based on "NV who was here". An extension for the phpBB Forum Software package.
*
* @copyright (c) 2018, LukeWCS, https://www.wcsaga.org/
* @copyright (c) 2015, Anvar, http://phpbbguru.net
* @copyright (c) 2013, nickvergessen, http://www.flying-bits.org/
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “
//
$lang = array_merge($lang, [
	// config head
	'LFWWH_CONFIG_TITLE'				=> 'Кто был на конференции?',
	'LFWWH_CONFIG_DESC' 				=> 'Здесь могут быть изменены настройки для расширения <strong>%s</strong>.',

	// config section 1
	'LFWWH_SECTION_PERMISSIONS'			=> 'Права доступа',
	'LFWWH_ADMIN_MODE'					=> 'Режим администратора',
	'LFWWH_ADMIN_MODE_EXP'				=> 'Этот режим отменяет все системные права доступа и отображает расширение только пользователям с правами администратора. Это может быть полезно, если вы хотите скрыть расширение от пользователей на какое-то время.',
	'LFWWH_USE_PERMISSIONS'				=> 'Использовать систему права доступа phpBB',
	'LFWWH_USE_PERMISSIONS_EXP'			=> 'Позволяет указать для каждой группы пользователей отдельно, как должно выполняться отображение этого расширения. Права можно установить следующим образом: “Права доступа » Права групп » [группа пользователя] » Права пользователя » Подробнее » Кто был на конференции (2.x)”.',
	'LFWWH_SECTION_SIMPLE_PERMISSIONS'	=> 'Упрощённая система прав доступа',
	'LFWWH_SIMPLE_PERMISSIONS_EXP'		=> 'Здесь можно указать, что вы хотите показывать гостям и ботам. Все остальные группы будут всегда видеть блок расширения в полном объёме. Если требуются более детальные разрешения, необходимо активировать систему прав доступа phpBB.',
	'LFWWH_PERM_FOR_GUESTS'				=> 'Показывать гостям',
	'LFWWH_PERM_FOR_GUESTS_EXP'			=> 'Определяет, что могут видеть гости. Если все переключатели отключены, то для гостей блок отображаться не будет.',
	'LFWWH_PERM_FOR_BOTS'				=> 'Показывать ботам',
	'LFWWH_PERM_FOR_BOTS_EXP'			=> 'Определяет, что могут видеть боты. Если все переключатели отключены, то для ботов блок отображаться не будет.',
	'LFWWH_PERM_STATS'					=> 'Статистику',
	'LFWWH_PERM_RECORD'					=> 'Рекорд посетителей',
	'LFWWH_PERM_USERS'					=> 'Пользователей',
	'LFWWH_PERM_BOTS'					=> 'Ботов',

	// config section 2
	'LFWWH_SECTION_DISP_1'				=> 'Настройки отображения 1',
	'LFWWH_DISP_REG_USERS'				=> 'Показывать видимых пользователей (количество)',
	'LFWWH_DISP_REG_USERS_EXP'			=> 'Будет отображаться количество видимых пользователей.',
	'LFWWH_DISP_HIDDEN'					=> 'Показывать скрытых пользователей (количество и имена)',
	'LFWWH_DISP_HIDDEN_EXP'				=> 'Скрытые пользователи будут также отображатья в списке пользователей. (Требуется соответствующее право доступа, то же что и для блока “Кто сейчас на конференции”.)',
	'LFWWH_DISP_BOTS'					=> 'Показывать ботов (количество и имена)',
	'LFWWH_DISP_BOTS_EXP'				=> 'Некоторые пользователи могут задаться вопросом, кто такие боты, и опасаться их.',
	'LFWWH_DISP_BOTS_OWN_LINE'			=> 'На отдельной строке',
	'LFWWH_DISP_BOTS_WITH_USERS'		=> 'Вместе с пользователями',
	'LFWWH_DISP_BOTS_DISABLED'			=> 'Нет',
	'LFWWH_DISP_GUESTS'					=> 'Показывать гостей (количество)',
	'LFWWH_DISP_GUESTS_EXP'				=> 'Будет отображаться количество гостей.',
	'LFWWH_DISP_TIME_USERS'				=> 'Показывать время посещения пользователей',
	'LFWWH_DISP_TIME_BOTS'				=> 'Показывать время посещения ботов',
	'LFWWH_DISP_TIME_EXP'				=> 'Либо все пользователи видят это, либо никто; нет специальной функции для администраторов.',
	'LFWWH_DISP_TIME_FORMAT'			=> 'Формат времени',
	'LFWWH_DISP_TIME_FORMAT_EXP'		=> 'Синтаксис идентичен <a href="https://www.php.net/manual/datetime.format.php">date format</a> языка PHP. Специальные переменные: $1 = “%1$s”, $2 = “%2$s”, $3 = “%3$s”.',
	'LFWWH_DISP_TIME_FORMAT_DEMO'		=> 'Текущее отображение: %s',
	'LFWWH_DISP_IP'						=> 'Показывать IP адрес пользователя',
	'LFWWH_DISP_IP_EXP'					=> 'Требуется соответствующее право доступа, то же что и для блока “Кто сейчас на конференции”.',
	'LFWWH_DISP_AS_TOOLTIP'				=> 'При наведении',
	'LFWWH_DISP_BEHIND_NAME'			=> 'Рядом с именем',
	'LFWWH_DISP_DISABLED'				=> 'Нет',

	// config section 3
	'LFWWH_SECTION_DISP_2'				=> 'Настройки отображения 2',
	'LFWWH_TIME_MODE'					=> 'Показывать посетителй за ...',
	'LFWWH_TIME_MODE_EXP'				=> 'Показывать посетителей за сутки (с 0:00 по времени форума) или за период времени, установленный в настройках ниже.',
	'LFWWH_TIME_MODE_TODAY'				=> 'Сегодня',
	'LFWWH_TIME_MODE_PERIOD'			=> 'Период времени',
	'LFWWH_SORT_BY'						=> 'Сортировать пользователей',
	'LFWWH_SORT_BY_EXP'					=> 'Определяет порядок, в котором будут отображаться пользователи в списке.',
	'LFWWH_SORT_BY_NAME_AZ'				=> 'Имя A -> Z',
	'LFWWH_SORT_BY_NAME_ZA'				=> 'Имя Z -> A',
	'LFWWH_SORT_BY_VISIT_ASC'			=> 'Время посещения по возрастанию',
	'LFWWH_SORT_BY_VISIT_DESC'			=> 'Время посещения по убыванию',
	'LFWWH_SORT_BY_ID_ASC'				=> 'ID по возрастанию',
	'LFWWH_SORT_BY_ID_DESC'				=> 'ID по убыванию',
	'LFWWH_RECORD'						=> 'Рекорд посетителей',
	'LFWWH_RECORD_EXP'					=> 'Показывать и обновлять рекорд посетителей.',
	'LFWWH_RECORD_TIME_FORMAT'			=> 'Формат даты для рекорда посетителей',
	'LFWWH_RECORD_TIME_FORMAT_EXP'		=> 'Синтаксис идентичен <a href="https://www.php.net/manual/datetime.format.php">date format</a> языка PHP.',
	'LFWWH_TEMPLATE_POS'				=> 'Положение блока',
	'LFWWH_TEMPLATE_POS_EXP'			=> 'Определяет, где будет размещаться блок расширения в секции статистики. “Вверху” - это позиция над секцией статистики, а “Внизу” - позиция под секцией статистики.',
	'LFWWH_TEMPLATE_POS_TOP'			=> 'Вверху',
	'LFWWH_TEMPLATE_POS_BEFORE_BDAYS'	=> 'Перед блоком "Дни рождения"',
	'LFWWH_TEMPLATE_POS_BOTTOM'			=> 'Внизу',

	// config section 4
	'LFWWH_SECTION_OTHERS'				=> 'Другое',
	'LFWWH_API_MODE'					=> 'Режим API',
	'LFWWH_API_MODE_EXP'				=> 'Деактивирует отображение этого расширения и создаёт только переменные шаблона. Этот режим предназначен для форумов, где расширение "Кто был на конференции" уже представлено другими расширениями (такими как "Блок статистики").',
	'LFWWH_CLEAR_UP'					=> 'Автоматически очищать удалённых пользователей',
	'LFWWH_CLEAR_UP_EXP'				=> 'Если учётные записи пользователей удаляются, таблица и блок расширения также немедленно очищаются.',
	'LFWWH_TEMPLATE_POS_ALL'			=> 'Показывать все позиции шаблона одновременно',
	'LFWWH_TEMPLATE_POS_ALL_EXP'		=> 'Блок с расширением будет отображаться на всех позициях одновременно. Опция предназначена только для отладки и должна быть отключена во время нормальной работы.',
	'LFWWH_CREATE_HIDDEN_INFO'			=> 'Показывать кнопку "Скрытая информация"',
	'LFWWH_CREATE_HIDDEN_INFO_EXP'		=> 'Если для отображения времени посещения или IP-адреса установлено значение "При наведении", то эта информация не показывается рядом с именем пользователя. С помощью кнопки "Показать скрытую информацию" вы сможете отобразить эти данные.',

	// config section 5
	'LFWWH_SECTION_LOAD_SETTINGS'		=> 'Настройки нагрузки на сервер',
	'LFWWH_USE_CACHE'					=> 'Использовать кеш для таблицы посетителей',
	'LFWWH_USE_CACHE_EXP'				=> 'Если кеш включён, то во время загрузки главной страницы форума будет задействована кешированная таблица. В результате, новые посетители будут отображаться в списке с опредёленной задержкой. Если кеш отключен, то при загрузке страницы каждый раз будет выполняться новый MySQL запрос, что может привести к проблемам с производительностью на больших форумах.',
	'LFWWH_USE_ONLINE_TIME'				=> 'Обновлять, используя настройки временного диапазона онлайн-статистики',
	'LFWWH_USE_ONLINE_TIME_EXP'			=> 'Если включено, то для интервала обновления будет задействована следующая настройка: “Общие » Конфигурация сервера » Нагрузка на сервер » Общие настройки » Временной диапазон онлайн-статистики”. Это соответствует стандартному поведению данного расширения.',
	'LFWWH_CACHE_TIME'					=> 'Интервал обновления',
	'LFWWH_CACHE_TIME_EXP'				=> 'Интервал определяет, как часто обновлять отображение статистики и списка пользователей.',

	// config section 6
	'LFWWH_SECTION_RESET'				=> 'Сброс',
	'LFWWH_DEFAULTS'					=> 'Сбросить настройки',
	'LFWWH_DEFAULTS_EXP'				=> 'Сбрасывает все настройки этой страницы до исходных. (Рекорд посетителей не сбрасывается.)',
	'LFWWH_BUTTON_DEFAULTS'				=> 'По умолчанию',
	'LFWWH_RECORD_RESET'				=> 'Сбросить рекорд посетителей',
	'LFWWH_RECORD_RESET_EXP'			=> 'Сбрасывает время и счётчик рекорда посетителей.',
	'LFWWH_RECORD_RESET_TIME_HINT'		=> '(Предыдущий сброс был: %s)',

	// buttons
	'LFWWH_BUTTON_SAVE_PAGE'			=> 'Сохранить',

	// messages
	'LFWWH_MSG_SAVED_SETTINGS'			=> 'Кто был на конференции: Настройки успешно обновлены.',
	'LFWWH_MSG_CONFIRM_RECORD_RESET'	=> 'Как только вы сохраните страницу с настройками, рекорд посетителей будет сброшен. Вы уверены?',
]);
